## HTTPClient
Interface RoRequest

All Known Implementing Classes:
  Request

public interface RoRequest

This interface represents the read-only interface of an http request. It is the compile-time type passed to various handlers which might need the request info but musn't modify the request.

Method Summary
`boolean` `allowUI()`
`HTTPConnection` `getConnection()`
`byte[]` `getData()`
`NVPair[]` `getHeaders()`
`String` `getMethod()`
`String` `getRequestURI()`
`HttpOutputStream` `getStream()`

Method Detail

### getConnection

    public HTTPConnection getConnection()

  Returns:
    the HTTPConnection this request is associated with

### getMethod

    public String getMethod()

  Returns:
    the request method

### getRequestURI

    public String getRequestURI()

  Returns:
    the request-uri

### getHeaders

    public NVPair[] getHeaders()

  Returns:
    the headers making up this request

### getData

    public byte[] getData()

  Returns:
    the body of this request

### getStream

    public HttpOutputStream getStream()

  Returns:
    the output stream on which the body is written

### allowUI

    public boolean allowUI()

  Returns:
    true if the modules or handlers for this request may popup windows or otherwise interact with the user